Name:		cronopete
Version:	4.15.1
Release:	%mkrel 1
Summary:	A backup utility for Linux based on Apple TimeMachine
Group:		Archiving/Backup
License:	GPLv3
URL:		http://www.rastersoft.com/programas/cronopete.html
Source0:	https://gitlab.com/rastersoft/cronopete/-/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		cronopete-set-CMAKE_C_FLAGS.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	vala
BuildRequires:	rsync
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(udisks2)

Requires:	rsync

%description
Cronopete is a backup utility for Linux, modeled after Apple’s
Time Machine. It aims to simplify the creation of periodic backups.
By default, cronopete does a backup each hour, adding to the
new backup only the files that have changed since the last one.
This allows to return to a previous backup in an specific
instant of time. It is important to have a generous external
disk for backups. It is strongly recommended to use a disk of,
at least, twice the size of the data to store. SSD disks aren’t
recommended, because their speed gain is unnecessary for a backup,
and are much more expensive than a mechanical disk. An external,
USB3, mechanical disk with plenty of free space is an excellent
choice for storing your backups.

%prep
%autosetup -p1

%build
%cmake -DGSETTINGS_COMPILE=OFF \
       -DICON_UPDATE=OFF
%cmake_build

%install
%cmake_install

find %{buildroot} -name 'CMakeLists.txt' -delete
# /usr/lib/plugs/cronopete/cronopete.plug not needed for now
find %{buildroot} -name '*.plug' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc HISTORY.md README.md
%doc %{_docdir}/%{name}/*
%license COPYING
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}_preferences.sh
%{_bindir}/%{name}_restore.sh
%{_datadir}/applications/%{name}_preferences.desktop
%{_datadir}/applications/%{name}_restore.desktop
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/com.rastersoft.%{name}.service
%{_datadir}/glib-2.0/schemas/org.rastersoft.%{name}.gschema.xml
%{_iconsdir}/hicolor/*/apps/anacronopete_*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_iconsdir}/hicolor/scalable/status/%{name}*.svg


%changelog
* Sat May 20 2023 daviddavid <daviddavid> 4.15.1-1.mga9
+ Revision: 1957453
- initial package cronopete (mga#21601)

